Page MenuHomePhabricator

The Configure extension misses API i18n messages
Closed, ResolvedPublic

Description

The Configure extension is using old API message formats, these should be replaced with i18n messages with entries in the files en.json and qqq.json.

See https://www.mediawiki.org/wiki/API:Localisation for more information. Looking at many other extensions will also provide working examples. Such as https://github.com/wikimedia/mediawiki-extensions-CodeReview/blob/master/api/ApiCodeDiff.php#L73-L95 along with https://github.com/wikimedia/mediawiki-extensions-CodeReview/blob/master/i18n/en.json#L192-L195 and https://github.com/wikimedia/mediawiki-extensions-CodeReview/blob/master/i18n/qqq.json#L218-L221

14:45:22 1) ApiDocumentationTest::testDocumentationExists with data set "Module configure with MiserMode=false, AllowCategorizedRecentChanges=false" ('configure', array(false, false))
14:45:22 Module description message apihelp-configure-description exists
14:45:22 Failed asserting that false is true.
14:45:22 
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
14:45:22 
14:45:22 2) ApiDocumentationTest::testDocumentationExists with data set "Module configure with MiserMode=true, AllowCategorizedRecentChanges=true" ('configure', array(true, true))
14:45:22 Module description message apihelp-configure-description exists
14:45:22 Failed asserting that false is true.
14:45:22 
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/tests/phpunit/MediaWikiTestCase.php:399
14:45:22 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/maintenance/doMaintenance.php:111
14:45:22

Event Timeline

Reedy created this task.Dec 18 2016, 10:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2016, 10:44 AM
Reedy updated the task description. (Show Details)Dec 18 2016, 10:44 AM
Wargo renamed this task from Confirgure missing API i18n messages to Configure missing API i18n messages.Dec 18 2016, 1:55 PM
Aklapper renamed this task from Configure missing API i18n messages to The Configure extension misses API i18n messages.Dec 19 2016, 12:25 PM
Aklapper updated the task description. (Show Details)
divadsn claimed this task.Dec 21 2016, 11:00 PM
divadsn added a subscriber: divadsn.

Fix is coming :)

Change 328589 had a related patch set uploaded (by Divadsn):
The Configure extension misses API i18n messages

https://gerrit.wikimedia.org/r/328589

Change 328589 abandoned by Divadsn:
The Configure extension misses API i18n messages

Reason:
Wrong topic!

https://gerrit.wikimedia.org/r/328589

Change 328594 had a related patch set uploaded (by Divadsn):
The Configure extension misses API i18n messages

https://gerrit.wikimedia.org/r/328594

Change 328594 merged by jenkins-bot:
The Configure extension misses API i18n messages

https://gerrit.wikimedia.org/r/328594

Reedy closed this task as Resolved.Dec 22 2016, 12:26 PM